-->
These old forums are deprecated now and set to read-only. We are waiting for you on our new forums!
More modern, Discourse-based and with GitHub/Google/Twitter authentication built-in.

All times are UTC - 5 hours [ DST ]



Forum locked This topic is locked, you cannot edit posts or make further replies.  [ 2 posts ] 
Author Message
 Post subject: Hibernate versions conflict on Weblogic 12c
PostPosted: Wed Aug 30, 2017 5:30 am 
Newbie

Joined: Wed Aug 30, 2017 5:14 am
Posts: 1
I have application which uses Hibernate in version 5.2.10. All dependencies are bundled in EAR archive in lib catalog. Application has to be deployed on Weblogic Server installed with BPM Suit (version 12.2.1.2). During deployment I get stacktrace like in https://community.oracle.com/thread/3950781. I tried solution in comment but it didn't work. I tried some other solutions like add in weblogic-appication.xml <prefer-application-packages> (to use all dependencies from lib directory only), add <prefer-web-inf-classes> in weblogic.xml, change lib catalog on WEB-INF/lib, APP-INF/lib, but still during deployment I got mentioned above stacktrace. I tried to find what is actually com.frevvo.hibernate.FrevvoDialectResolver but I got nothing.
But after some research I found that main cause of problem is in frevvo application, deployed by default in Weblogic. This app has Hibernate library in 3.3.9 version. After manual remove it from server and restart finally i could deploy my EAR app on the server without errors. Unfortunately this solutin can't be acceptable - we can't remove this app from production environment. Is there any solution to deploy another application with bundled Hibernate without any conflict with fervvo application?

Above description I send to Oracle Support, but they didn't help (they respond that this is Hibernate issue). Did anyone have this obstacle and found some solution on this.


Top
 Profile  
 
 Post subject: Re: Hibernate versions conflict on Weblogic 12c
PostPosted: Wed Aug 30, 2017 7:45 am 
Hibernate Team
Hibernate Team

Joined: Thu Sep 11, 2014 2:50 am
Posts: 1630
Location: Romania
There's nothing special about resolving the Dialect class in Hibernate ORM. As long as the class is available in the Class Loader, everything works fine.

However, in this case, you are better off asking it on WL forum because the Hibernate team interacts with Wildfly and JBoss more than with Oracle's WL.


Top
 Profile  
 
Display posts from previous:  Sort by  
Forum locked This topic is locked, you cannot edit posts or make further replies.  [ 2 posts ] 

All times are UTC - 5 hours [ DST ]


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
© Copyright 2014, Red Hat Inc. All rights reserved. JBoss and Hibernate are registered trademarks and servicemarks of Red Hat, Inc.